Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IField

    java.lang.Object
      igeo.IObject
          igeo.IAgent
              igeo.IField

All Implemented Interfaces:
  IDynamics, IFieldI, ISubobject

Direct Known Subclasses:
  I2DField, I3DField, IScalarField

    public abstract class IField

extends IAgent
implements IFieldI

Field agent base class.

Author:
  Satoru Sugihara

Field Summary
`java.util.ArrayList<java.lang.Class<? extends IParticleI>>` | `targetClasses`

Fields inherited from class igeo.IAgent
`alive, duration, interactOverridden, localDynamics, parent, targets, time`

Fields inherited from class igeo.IObject
`attribute, dynamics, graphics, parameter, server`

Constructor Summary
`IField()`

Method Summary
`abstract void` | `applyField(IParticleI particle)`
`void` | `interact(java.util.ArrayList<IDynamics> agents)` behavior definition of interaction with other dynamic objects.
`boolean` | `isTarget(java.lang.Object obj)` alias
`boolean` | `isTargetClass(java.lang.Object obj)`
`IField` | `target(java.lang.Class<? extends IParticleI>... targets)` alias
`IField` | `target(java.lang.Class<? extends IParticleI> targetClass)` alias
`IField` | `targetClass(java.lang.Class<? extends IParticleI>... targets)` make the field applicable only to the specified target classes
`IField` | `targetClass(java.lang.Class<? extends IParticleI> targetClass)` make the field applicable only to the specified target class

Methods inherited from class igeo.IAgent
`addDynamics, alive, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, del, deletDynamics, deleteDynamics, deleteDynamics, duration, duration, dynamicsNum, getDynamics, hide, hsb, hsb, hsb, hsb, initAgent, interact, layer, localDynamics, name, parent, parent, postinteract, postupdate, preinteract, preupdate, removeTarget, removeTarget, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setHSBColor, setHSBColor, setHSBColor, setHSBColor, show, target, target, targetNum, targets, time, time, update, updateGraphic, updateTarget, weight, weight`

Methods inherited from class igeo.IObject
`alpha, alphaInt, attr, attr, attr, blue, blueInt, clearDynamics, clearGraphics, clr, clr, cp, createGraphic, deleteGraphic, dup, getColor, getGraphic, getGraphic, getParameter, graphicsNum, gray, grayInt, green, greenInt, greyInt, initGraphic, initObject, isValid, isVisible, layer, layer, name, red, redInt, resetGraphic, server, setParameter, syncColor, syncGraphic, syncWeight, visible, weight`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface igeo.IFieldI
`constantIntensity, gaussian, gaussianDecay, get, intensity, intensity, linear, linearDecay, noDecay, threshold, threshold`

Field Detail

### targetClasses

    public java.util.ArrayList<java.lang.Class<? extends IParticleI>> targetClasses

Constructor Detail

### IField

    public IField()

Method Detail

### targetClass

    public IField targetClass(java.lang.Class<? extends IParticleI> targetClass)

  make the field applicable only to the specified target class

### target

    public IField target(java.lang.Class<? extends IParticleI> targetClass)

  alias

### targetClass

    public IField targetClass(java.lang.Class<? extends IParticleI>... targets)

  make the field applicable only to the specified target classes

### target

    public IField target(java.lang.Class<? extends IParticleI>... targets)

  alias

### isTargetClass

    public boolean isTargetClass(java.lang.Object obj)

### isTarget

    public boolean isTarget(java.lang.Object obj)

  alias

### interact

    public void interact(java.util.ArrayList<IDynamics> agents)

  Description copied from interface: `IDynamics`
  behavior definition of interaction with other dynamic objects. The server puts all dynamic objects including itself.

  Specified by:
    `interact` in interface `IDynamics`
  Overrides:
    `interact` in class `IAgent`

### applyField

    public abstract void applyField(IParticleI particle)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD